Support » Plugin: WooCommerce Multilingual & Multicurrency with WPML » WPML Doesn’t Work With Elementor – Do Not Buy Their Plugins

  • exp2020

    (@exp2020)


    I bought WPML thinking it would work with Elementor but it doesn’t and no one from their support is helping me fix it. I bought the plugin 2 months ago and still no response. This is not the first time I had issues with WPML. I would get another translation plugin.

Viewing 1 replies (of 1 total)
  • Plugin Support Andrés Cifuentes

    (@andrescifuentesr)

    Hello @exp2020,

    I’m sorry to hear that you are not having a nice experience translating your site. However, WPML is compatible with Elementor and should work out of the box. Maybe you are using an Elementor third party which is still not compatible?

    Anyway, I would like to check your case personally and see if there is something that we can do to move it forward and unblock this situation. Could you please share your ticket?

    Looking forward to hear back from you.
    Andrés

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this review.